Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Gentoo User (http://www.linux-archive.org/gentoo-user/)
-   -   Safe to remove old version of Python? (http://www.linux-archive.org/gentoo-user/153265-safe-remove-old-version-python.html)

Stroller 09-03-2008 08:50 AM

Safe to remove old version of Python?
 
Hi there,

No comment on this on my previous post when I also asked about `eix -
uI`:


$ eix -I python$
[u] dev-lang/python
Available versions:
(2.4) 2.4.4-r5 2.4.4-r6 2.4.4-r14
(2.5) 2.5.2-r6 ~2.5.2-r7
{+cxx +threads berkdb bootstrap build doc elibc_uclibc
examples gdbm ipv6 ncurses nocxx nothreads readline sqlite ssl tk
ucs2 wininst}
Installed versions: 2.4.4-r9(2.4)(20:32:42 05/04/08)(berkdb
examples gdbm ncurses readline ssl -bootstrap -build -doc -
elibc_uclibc -ipv6 -nocxx -nothreads -tk -ucs2)
2.5.2-r6(2.5)(03:46:36 08/30/08)(berkdb
doc examples gdbm ncurses readline ssl threads -bootstrap -build -
elibc_uclibc -ipv6 -sqlite -tk -ucs2 -wininst)

Homepage: http://www.python.org/
Description: Python is an interpreted, interactive,
object-oriented programming language.


$ sudo python-updater
Password:
* Starting Python Updater from 2.4 to 2.5 :
* No packages needs to be remerged.
$


So second question is, can python-2.4.4-r9 be safely removed from the
system?



$ ls -l /usr/bin/python
lrwxrwxrwx 1 root root 9 Aug 30 03:47 /usr/bin/python -> python2.5
$ python -V
Python 2.5.2
$ equery d =dev-lang/python-2.4.4-r9
[ Searching for packages depending on =dev-lang/python-2.4.4-r9... ]
app-admin/webapp-config-1.50.16-r1 (virtual/python)
app-doc/doxygen-1.5.4 (dev-lang/python)
app-editors/vim-7.2 (python? dev-lang/python)
app-portage/gentoolkit-0.2.3-r1 (>=dev-lang/python-2.0)
app-portage/layman-1.1.1 (virtual/python)
dev-db/postgresql-8.0.15 (python? >=dev-lang/python-2.2)
dev-java/java-config-1.3.7 (virtual/python)
dev-java/java-config-2.1.6 (dev-lang/python)
(virtual/python)
dev-lang/swig-1.3.36 (python? virtual/python)
dev-libs/libxml2-2.6.32 (python? dev-lang/python)
dev-libs/libxslt-1.1.24-r1 (python? dev-lang/python)
dev-python/docutils-0.4-r3 (virtual/python)
(>=dev-lang/python-2.4)
dev-python/egenix-mx-base-2.0.5 (virtual/python)
dev-python/pycrypto-2.0.1-r6 (virtual/python)
dev-python/python-fchksum-1.7.1 (dev-lang/python)
dev-python/setuptools-0.6_rc8-r1 (virtual/python)
(>=dev-lang/python-2.4)
dev-util/subversion-1.4.6 (python? >=dev-lang/python-2.0)
net-analyzer/rrdtool-1.2.27 (python? dev-lang/python)
net-fs/samba-3.0.28a-r1 (python? dev-lang/python)
net-print/cups-1.3.7-r1 (python? dev-lang/python)
sys-apps/file-4.23 (virtual/python)
sys-apps/portage-2.1.4.4 (>=dev-lang/python-2.4)
sys-libs/cracklib-2.8.12 (python? dev-lang/python)
sys-libs/libcap-1.10-r11 (python? >=virtual/python-2.2.1)
$


I don't tend to keep up with best practices in Gentoo, so any
criticism or advice would be much appreciated.


Stroller.

Neil Bothwick 09-03-2008 09:15 AM

Safe to remove old version of Python?
 
On Wed, 3 Sep 2008 09:50:41 +0100, Stroller wrote:

> So second question is, can python-2.4.4-r9 be safely removed from the
> system?

Yes.

--
Neil Bothwick

... "I just forgot to increment the counter," Tom said, nonplussed.


All times are GMT. The time now is 05:36 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.